The Vigil@nce team watches public vulnerabilities impacting your computers, and then offers security solutions, a vigilance database and tools to fix them.

Vulnerability of Linux kernel: memory leak via go7007_snd_init

Synthesis of the vulnerability 

An attacker can create a memory leak via go7007_snd_init() of the Linux kernel, in order to trigger a denial of service.
Impacted systems: Linux, openSUSE Leap, SUSE Linux Enterprise Desktop, SLES.
Severity of this alert: 1/4.
Creation date: 03/06/2020.
Références of this alert: CERTFR-2020-AVI-383, CVE-2019-20810, openSUSE-SU-2020:0935-1, SUSE-SU-2020:1663-1, SUSE-SU-2020:1693-1, SUSE-SU-2020:1699-1, VIGILANCE-VUL-32393.

Description of the vulnerability 

An attacker can create a memory leak via go7007_snd_init() of the Linux kernel, in order to trigger a denial of service.
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

This threat note impacts software or systems such as Linux, openSUSE Leap, SUSE Linux Enterprise Desktop, SLES.

Our Vigil@nce team determined that the severity of this cybersecurity note is low.

The trust level is of type confirmed by the editor, with an origin of user shell.

An attacker with a expert ability can exploit this vulnerability note.

Solutions for this threat 

Linux kernel: version 5.6.0.
The version 5.6 is fixed:
  https://cdn.kernel.org/pub/linux/kernel/v5.x/linux-5.6.tar.xz

Linux kernel: version 5.4.48.
The version 5.4.48 is fixed:
  https://cdn.kernel.org/pub/linux/kernel/v5.x/

Linux kernel: version 4.19.129.
The version 4.19.129 is fixed:
  https://cdn.kernel.org/pub/linux/kernel/v4.x/

Linux kernel: version 4.14.185.
The version 4.14.185 is fixed:
  https://cdn.kernel.org/pub/linux/kernel/v4.x/

Linux kernel: version 4.9.228.
The version 4.9.228 is fixed:
  https://cdn.kernel.org/pub/linux/kernel/v4.x/

Linux kernel: version 4.4.228.
The version 4.4.228 is fixed:
  https://cdn.kernel.org/pub/linux/kernel/v4.x/

openSUSE Leap 15.2: new kernel packages.
New packages are available:
  openSUSE Leap 15.2: kernel 5.3.18-lp152.20.7.1

SUSE LE 12 SP5: new kernel-azure packages.
New packages are available:
  SUSE LE 12 SP5: kernel-azure 4.12.14-16.19.1

SUSE LE 12 SP5: new kernel packages.
New packages are available:
  SUSE LE 12 SP5: kernel 4.12.14-122.26.1

SUSE LE 15: new kernel packages.
New packages are available:
  SUSE LE 15 RTM: kernel 4.12.14-150.52.1
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

Computer vulnerabilities tracking service 

Vigil@nce provides applications vulnerabilities analysis. The Vigil@nce computer vulnerability tracking service alerts your teams of vulnerabilities or threats impacting your information system.